package dfatool.strategy.graph;

import java.util.ArrayList;

public class NodeIdentifier extends ArrayList<Object>{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public NodeIdentifier(String fst, Integer snd) {
		super();
		add(fst);
		add(snd);
	}
	
	@Override
	public String toString() {
		return this.getFst() + "."+ getSnd();
	}
	
	public String getFst() {
		return (String) get(0);
	}
	
	public Integer getSnd() {
		return (Integer) get(1);
	}
	
	public int hashCode(){
		return super.hashCode();
	}
	
	@Override
	public boolean equals(Object o) {
		return super.equals(o);
	}
	
	public static void main(String[] args) {
		System.out.println(new NodeIdentifier("1", 2).hashCode());
	}
}
